#ifndef	_UI_API
#define	_UI_API

_declspec(dllimport) int	ebPrompt(char* text);
_declspec(dllimport) int	ebClearPrompt();

_declspec(dllimport) int	ebResultPrompt(char* result);
_declspec(dllimport) int	ebAlertPrompt(char* text);

_declspec(dllimport) int	ebAlertDialog(char* text);

_declspec(dllimport) int	ebGetInt(int *value, int min, int max);
_declspec(dllimport) int	ebGetReal(double *value, double min, double max);
_declspec(dllimport) int	ebGetString(char *value, int length);
_declspec(dllimport) int	ebGetPoint(EB_POINT *point);
_declspec(dllimport) int	ebGetPointXY(double *point_x,double *point_y);
_declspec(dllimport) int	ebGetLength(EB_POINT start,double* length,EB_POINT* mouse=NULL);
_declspec(dllimport) int	ebGetAngle(EB_POINT cen,EB_POINT start,double* angle, EB_POINT* mouse=NULL);

_declspec(dllimport) int	ebRegisterPopMenu();
#endif